Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.compiler.object
Class IdlEnumMember

    java.lang.Object
      |
      +--org.openorb.compiler.object.IdlObject
            |
            +--org.openorb.compiler.object.IdlEnumMember

All Implemented Interfaces:
  idlObject, java.io.Serializable

public class IdlEnumMember
extends IdlObject

Cette classe represente l'objet IDL Enum Member

Version:
  $Revision: 1.4 $ $Date: 2002/08/21 08:19:21 $
Author:
  Jerome Daniel
See Also:
  Serialized Form

Fields inherited from class org.openorb.compiler.object.IdlObject
`_case_sensitive, _comment, _current, _diese, _has_inheritance, _id, _import, _is_container, _list, _map, _name, _opaque, _prefix, _prefix_explicit, _type, _underscore, _upper, adaptName, idlPrefix`

Constructor Summary
`IdlEnumMember(IdlObject father)` Cree un objet IDL Enum Member

Method Summary
`int` | `getValue()` Retourne la valeur du membre de l'enumeration
`void` | `setValue(int val)` Fixe la valeur du membre de l'enumeration

Methods inherited from class org.openorb.compiler.object.IdlObject
`adaptName, addIdlObject, applyPrefix, attach_comment, attach_comment, changePrefix, contains, containsObject, content, current, end, filter, final_kind, final_object, getComment, getId, getIdComponents, getPrefix, getPrefixDepth, hasComment, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included, insertIdlObject, into, isDefined, isSame, isVisible, kind, length, myScope, name, name, nameToSequence, next, opaque, opaque, pos, pos, refreshIncluded, reset, returnInheritedObject, returnObject, returnVisibleObject, root, sameAs, search, searchObject, sensitive, setId, switchFinalObject, type, type, upper, use_diese, use_diese`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdlEnumMember

    public IdlEnumMember(IdlObject father)

  Cree un objet IDL Enum Member
  Parameters:
    `father` - l'objet proprietaire

Method Detail

### setValue

    public void setValue(int val)

  Fixe la valeur du membre de l'enumeration
  Parameters:
    `val` - la valeur du membre

### getValue

    public int getValue()

  Retourne la valeur du membre de l'enumeration
  Returns:
    la valeur

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD